<?php
/**
 * @version    1.01
 * @package    DWClearContacts
 * @author     Factory.DocWriter.Ru {@link http://factory.docwriter.ru}
 * @author     Created on 22-Jul-2010
 * @copyright  2010 Factory.DocWriter.Ru
 * @license    GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @since      File available since Release 1.00
 */

//-- No direct access
defined('_JEXEC') or die('Direct access not alowed.');

?>

<?php if ($params->get('motivator', '') != '') { ?>
<h4 class="dwcc_motivator"><?php echo $params->get('motivator'); ?></h4>
<?php } ?>

<p class="dwcc_main_contact">
<?php
    switch ($params->get('main_contact', 'phone')) {
        case 'email':
            echo '<a href="mailto:' . $row->email_to . '">' . $row->email_to . '</a>';
            break;
        case 'address':
            echo ModDWClearContactsHelper::getFormattedAddress($row, $params);
            break;
        case 'phone':
        default:
            echo $row->telephone;
            break;
    } ?>
</p>

<?php if ($params->get('show_phone', 1) and $row->telephone != '' and $params->get('main_contact', 'phone') != 'phone') { ?>
<p class="dwcc_item dwcc_phone"><?php echo $row->telephone; ?></p>
<?php } ?>

<?php if ($params->get('show_email', 1) and $row->email_to != '' and $params->get('main_contact', 'phone') != 'email') { ?>
<p class="dwcc_item dwcc_email"><a href="mailto:<?php echo $row->email_to; ?>"><?php echo $row->email_to; ?></a></p>
<?php } ?>

<?php if ($params->get('show_address', 1) and $params->get('main_contact', 'phone') != 'address' and ($row->postcode != '' or $row->country != '' or $row->suburb != '' or $row->address != '')) { ?>
<p class="dwcc_item dwcc_address"><?php echo ModDWClearContactsHelper::getFormattedAddress($row, $params); ?></p>
<?php }
